Index: sansmodels/src/sans/models/c_models/CBCCrystalModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CBCCrystalModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CBCCrystalModel.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -613,5 +613,6 @@
     
     d = PyModule_GetDict(module);
-    CBCCrystalModelError = PyErr_NewException("CBCCrystalModel.error", NULL, NULL);
+    static char error_name[] = "CBCCrystalModel.error";
+    CBCCrystalModelError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CBCCrystalModelError", CBCCrystalModelError);
 }
Index: sansmodels/src/sans/models/c_models/CBarBellModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CBarBellModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CBarBellModel.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -621,5 +621,6 @@
     
     d = PyModule_GetDict(module);
-    CBarBellModelError = PyErr_NewException("CBarBellModel.error", NULL, NULL);
+    static char error_name[] = "CBarBellModel.error";
+    CBarBellModelError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CBarBellModelError", CBarBellModelError);
 }
Index: sansmodels/src/sans/models/c_models/CBinaryHSModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CBinaryHSModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CBinaryHSModel.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -577,5 +577,6 @@
     
     d = PyModule_GetDict(module);
-    CBinaryHSModelError = PyErr_NewException("CBinaryHSModel.error", NULL, NULL);
+    static char error_name[] = "CBinaryHSModel.error";
+    CBinaryHSModelError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CBinaryHSModelError", CBinaryHSModelError);
 }
Index: sansmodels/src/sans/models/c_models/CCSParallelepipedModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CCSParallelepipedModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CCSParallelepipedModel.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -669,5 +669,6 @@
     
     d = PyModule_GetDict(module);
-    CCSParallelepipedModelError = PyErr_NewException("CCSParallelepipedModel.error", NULL, NULL);
+    static char error_name[] = "CCSParallelepipedModel.error";
+    CCSParallelepipedModelError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CCSParallelepipedModelError", CCSParallelepipedModelError);
 }
Index: sansmodels/src/sans/models/c_models/CCappedCylinderModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CCappedCylinderModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CCappedCylinderModel.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -621,5 +621,6 @@
     
     d = PyModule_GetDict(module);
-    CCappedCylinderModelError = PyErr_NewException("CCappedCylinderModel.error", NULL, NULL);
+    static char error_name[] = "CCappedCylinderModel.error";
+    CCappedCylinderModelError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CCappedCylinderModelError", CCappedCylinderModelError);
 }
Index: sansmodels/src/sans/models/c_models/CCoreFourShellModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CCoreFourShellModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CCoreFourShellModel.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -641,5 +641,6 @@
     
     d = PyModule_GetDict(module);
-    CCoreFourShellModelError = PyErr_NewException("CCoreFourShellModel.error", NULL, NULL);
+    static char error_name[] = "CCoreFourShellModel.error";
+    CCoreFourShellModelError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CCoreFourShellModelError", CCoreFourShellModelError);
 }
Index: sansmodels/src/sans/models/c_models/CCoreShellCylinderModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CCoreShellCylinderModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CCoreShellCylinderModel.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -626,5 +626,6 @@
     
     d = PyModule_GetDict(module);
-    CCoreShellCylinderModelError = PyErr_NewException("CCoreShellCylinderModel.error", NULL, NULL);
+    static char error_name[] = "CCoreShellCylinderModel.error";
+    CCoreShellCylinderModelError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CCoreShellCylinderModelError", CCoreShellCylinderModelError);
 }
Index: sansmodels/src/sans/models/c_models/CCoreShellEllipsoidModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CCoreShellEllipsoidModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CCoreShellEllipsoidModel.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -644,5 +644,6 @@
     
     d = PyModule_GetDict(module);
-    CCoreShellEllipsoidModelError = PyErr_NewException("CCoreShellEllipsoidModel.error", NULL, NULL);
+    static char error_name[] = "CCoreShellEllipsoidModel.error";
+    CCoreShellEllipsoidModelError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CCoreShellEllipsoidModelError", CCoreShellEllipsoidModelError);
 }
Index: sansmodels/src/sans/models/c_models/CCoreShellModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CCoreShellModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CCoreShellModel.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -572,5 +572,6 @@
     
     d = PyModule_GetDict(module);
-    CCoreShellModelError = PyErr_NewException("CCoreShellModel.error", NULL, NULL);
+    static char error_name[] = "CCoreShellModel.error";
+    CCoreShellModelError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CCoreShellModelError", CCoreShellModelError);
 }
Index: sansmodels/src/sans/models/c_models/CCylinderModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CCylinderModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CCylinderModel.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -603,5 +603,6 @@
     
     d = PyModule_GetDict(module);
-    CCylinderModelError = PyErr_NewException("CCylinderModel.error", NULL, NULL);
+    static char error_name[] = "CCylinderModel.error";
+    CCylinderModelError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CCylinderModelError", CCylinderModelError);
 }
Index: sansmodels/src/sans/models/c_models/CDiamCylFunc.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CDiamCylFunc.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CDiamCylFunc.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -547,5 +547,6 @@
     
     d = PyModule_GetDict(module);
-    CDiamCylFuncError = PyErr_NewException("CDiamCylFunc.error", NULL, NULL);
+    static char error_name[] = "CDiamCylFunc.error";
+    CDiamCylFuncError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CDiamCylFuncError", CDiamCylFuncError);
 }
Index: sansmodels/src/sans/models/c_models/CDiamEllipFunc.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CDiamEllipFunc.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CDiamEllipFunc.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -547,5 +547,6 @@
     
     d = PyModule_GetDict(module);
-    CDiamEllipFuncError = PyErr_NewException("CDiamEllipFunc.error", NULL, NULL);
+    static char error_name[] = "CDiamEllipFunc.error";
+    CDiamEllipFuncError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CDiamEllipFuncError", CDiamEllipFuncError);
 }
Index: sansmodels/src/sans/models/c_models/CEllipsoidModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CEllipsoidModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CEllipsoidModel.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -603,5 +603,6 @@
     
     d = PyModule_GetDict(module);
-    CEllipsoidModelError = PyErr_NewException("CEllipsoidModel.error", NULL, NULL);
+    static char error_name[] = "CEllipsoidModel.error";
+    CEllipsoidModelError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CEllipsoidModelError", CEllipsoidModelError);
 }
Index: sansmodels/src/sans/models/c_models/CEllipticalCylinderModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CEllipticalCylinderModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CEllipticalCylinderModel.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -639,5 +639,6 @@
     
     d = PyModule_GetDict(module);
-    CEllipticalCylinderModelError = PyErr_NewException("CEllipticalCylinderModel.error", NULL, NULL);
+    static char error_name[] = "CEllipticalCylinderModel.error";
+    CEllipticalCylinderModelError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CEllipticalCylinderModelError", CEllipticalCylinderModelError);
 }
Index: sansmodels/src/sans/models/c_models/CFCCrystalModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CFCCrystalModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CFCCrystalModel.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -613,5 +613,6 @@
     
     d = PyModule_GetDict(module);
-    CFCCrystalModelError = PyErr_NewException("CFCCrystalModel.error", NULL, NULL);
+    static char error_name[] = "CFCCrystalModel.error";
+    CFCCrystalModelError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CFCCrystalModelError", CFCCrystalModelError);
 }
Index: sansmodels/src/sans/models/c_models/CFlexCylEllipXModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CFlexCylEllipXModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CFlexCylEllipXModel.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -603,5 +603,6 @@
     
     d = PyModule_GetDict(module);
-    CFlexCylEllipXModelError = PyErr_NewException("CFlexCylEllipXModel.error", NULL, NULL);
+    static char error_name[] = "CFlexCylEllipXModel.error";
+    CFlexCylEllipXModelError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CFlexCylEllipXModelError", CFlexCylEllipXModelError);
 }
Index: sansmodels/src/sans/models/c_models/CFlexibleCylinderModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CFlexibleCylinderModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CFlexibleCylinderModel.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -585,5 +585,6 @@
     
     d = PyModule_GetDict(module);
-    CFlexibleCylinderModelError = PyErr_NewException("CFlexibleCylinderModel.error", NULL, NULL);
+    static char error_name[] = "CFlexibleCylinderModel.error";
+    CFlexibleCylinderModelError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CFlexibleCylinderModelError", CFlexibleCylinderModelError);
 }
Index: sansmodels/src/sans/models/c_models/CFractalModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CFractalModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CFractalModel.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -559,5 +559,6 @@
     
     d = PyModule_GetDict(module);
-    CFractalModelError = PyErr_NewException("CFractalModel.error", NULL, NULL);
+    static char error_name[] = "CFractalModel.error";
+    CFractalModelError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CFractalModelError", CFractalModelError);
 }
Index: sansmodels/src/sans/models/c_models/CFuzzySphereModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CFuzzySphereModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CFuzzySphereModel.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -567,5 +567,6 @@
     
     d = PyModule_GetDict(module);
-    CFuzzySphereModelError = PyErr_NewException("CFuzzySphereModel.error", NULL, NULL);
+    static char error_name[] = "CFuzzySphereModel.error";
+    CFuzzySphereModelError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CFuzzySphereModelError", CFuzzySphereModelError);
 }
Index: sansmodels/src/sans/models/c_models/CGaussian.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CGaussian.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CGaussian.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -526,5 +526,6 @@
     
     d = PyModule_GetDict(module);
-    CGaussianError = PyErr_NewException("CGaussian.error", NULL, NULL);
+    static char error_name[] = "CGaussian.error";
+    CGaussianError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CGaussianError", CGaussianError);
 }
Index: sansmodels/src/sans/models/c_models/CHardsphereStructure.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CHardsphereStructure.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CHardsphereStructure.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -534,5 +534,6 @@
     
     d = PyModule_GetDict(module);
-    CHardsphereStructureError = PyErr_NewException("CHardsphereStructure.error", NULL, NULL);
+    static char error_name[] = "CHardsphereStructure.error";
+    CHardsphereStructureError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CHardsphereStructureError", CHardsphereStructureError);
 }
Index: sansmodels/src/sans/models/c_models/CHayterMSAStructure.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CHayterMSAStructure.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CHayterMSAStructure.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -554,5 +554,6 @@
     
     d = PyModule_GetDict(module);
-    CHayterMSAStructureError = PyErr_NewException("CHayterMSAStructure.error", NULL, NULL);
+    static char error_name[] = "CHayterMSAStructure.error";
+    CHayterMSAStructureError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CHayterMSAStructureError", CHayterMSAStructureError);
 }
Index: sansmodels/src/sans/models/c_models/CHollowCylinderModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CHollowCylinderModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CHollowCylinderModel.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -621,5 +621,6 @@
     
     d = PyModule_GetDict(module);
-    CHollowCylinderModelError = PyErr_NewException("CHollowCylinderModel.error", NULL, NULL);
+    static char error_name[] = "CHollowCylinderModel.error";
+    CHollowCylinderModelError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CHollowCylinderModelError", CHollowCylinderModelError);
 }
Index: sansmodels/src/sans/models/c_models/CLamellarFFHGModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CLamellarFFHGModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CLamellarFFHGModel.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -572,5 +572,6 @@
     
     d = PyModule_GetDict(module);
-    CLamellarFFHGModelError = PyErr_NewException("CLamellarFFHGModel.error", NULL, NULL);
+    static char error_name[] = "CLamellarFFHGModel.error";
+    CLamellarFFHGModelError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CLamellarFFHGModelError", CLamellarFFHGModelError);
 }
Index: sansmodels/src/sans/models/c_models/CLamellarModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CLamellarModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CLamellarModel.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -549,5 +549,6 @@
     
     d = PyModule_GetDict(module);
-    CLamellarModelError = PyErr_NewException("CLamellarModel.error", NULL, NULL);
+    static char error_name[] = "CLamellarModel.error";
+    CLamellarModelError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CLamellarModelError", CLamellarModelError);
 }
Index: sansmodels/src/sans/models/c_models/CLamellarPCrystalModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CLamellarPCrystalModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CLamellarPCrystalModel.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -564,5 +564,6 @@
     
     d = PyModule_GetDict(module);
-    CLamellarPCrystalModelError = PyErr_NewException("CLamellarPCrystalModel.error", NULL, NULL);
+    static char error_name[] = "CLamellarPCrystalModel.error";
+    CLamellarPCrystalModelError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CLamellarPCrystalModelError", CLamellarPCrystalModelError);
 }
Index: sansmodels/src/sans/models/c_models/CLamellarPSHGModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CLamellarPSHGModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CLamellarPSHGModel.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -600,5 +600,6 @@
     
     d = PyModule_GetDict(module);
-    CLamellarPSHGModelError = PyErr_NewException("CLamellarPSHGModel.error", NULL, NULL);
+    static char error_name[] = "CLamellarPSHGModel.error";
+    CLamellarPSHGModelError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CLamellarPSHGModelError", CLamellarPSHGModelError);
 }
Index: sansmodels/src/sans/models/c_models/CLamellarPSModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CLamellarPSModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CLamellarPSModel.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -577,5 +577,6 @@
     
     d = PyModule_GetDict(module);
-    CLamellarPSModelError = PyErr_NewException("CLamellarPSModel.error", NULL, NULL);
+    static char error_name[] = "CLamellarPSModel.error";
+    CLamellarPSModelError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CLamellarPSModelError", CLamellarPSModelError);
 }
Index: sansmodels/src/sans/models/c_models/CLogNormal.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CLogNormal.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CLogNormal.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -526,5 +526,6 @@
     
     d = PyModule_GetDict(module);
-    CLogNormalError = PyErr_NewException("CLogNormal.error", NULL, NULL);
+    static char error_name[] = "CLogNormal.error";
+    CLogNormalError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CLogNormalError", CLogNormalError);
 }
Index: sansmodels/src/sans/models/c_models/CLorentzian.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CLorentzian.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CLorentzian.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -526,5 +526,6 @@
     
     d = PyModule_GetDict(module);
-    CLorentzianError = PyErr_NewException("CLorentzian.error", NULL, NULL);
+    static char error_name[] = "CLorentzian.error";
+    CLorentzianError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CLorentzianError", CLorentzianError);
 }
Index: sansmodels/src/sans/models/c_models/CMultiShellModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CMultiShellModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CMultiShellModel.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -590,5 +590,6 @@
     
     d = PyModule_GetDict(module);
-    CMultiShellModelError = PyErr_NewException("CMultiShellModel.error", NULL, NULL);
+    static char error_name[] = "CMultiShellModel.error";
+    CMultiShellModelError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CMultiShellModelError", CMultiShellModelError);
 }
Index: sansmodels/src/sans/models/c_models/COnionModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/COnionModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/COnionModel.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -934,5 +934,6 @@
     
     d = PyModule_GetDict(module);
-    COnionModelError = PyErr_NewException("COnionModel.error", NULL, NULL);
+    static char error_name[] = "COnionModel.error";
+    COnionModelError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "COnionModelError", COnionModelError);
 }
Index: sansmodels/src/sans/models/c_models/CParallelepipedModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CParallelepipedModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CParallelepipedModel.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -639,5 +639,6 @@
     
     d = PyModule_GetDict(module);
-    CParallelepipedModelError = PyErr_NewException("CParallelepipedModel.error", NULL, NULL);
+    static char error_name[] = "CParallelepipedModel.error";
+    CParallelepipedModelError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CParallelepipedModelError", CParallelepipedModelError);
 }
Index: sansmodels/src/sans/models/c_models/CPearlNecklaceModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CPearlNecklaceModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CPearlNecklaceModel.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -582,5 +582,6 @@
     
     d = PyModule_GetDict(module);
-    CPearlNecklaceModelError = PyErr_NewException("CPearlNecklaceModel.error", NULL, NULL);
+    static char error_name[] = "CPearlNecklaceModel.error";
+    CPearlNecklaceModelError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CPearlNecklaceModelError", CPearlNecklaceModelError);
 }
Index: sansmodels/src/sans/models/c_models/CPoly_GaussCoil.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CPoly_GaussCoil.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CPoly_GaussCoil.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -544,5 +544,6 @@
     
     d = PyModule_GetDict(module);
-    CPoly_GaussCoilError = PyErr_NewException("CPoly_GaussCoil.error", NULL, NULL);
+    static char error_name[] = "CPoly_GaussCoil.error";
+    CPoly_GaussCoilError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CPoly_GaussCoilError", CPoly_GaussCoilError);
 }
Index: sansmodels/src/sans/models/c_models/CRPAModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CRPAModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CRPAModel.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -669,5 +669,6 @@
     
     d = PyModule_GetDict(module);
-    CRPAModelError = PyErr_NewException("CRPAModel.error", NULL, NULL);
+    static char error_name[] = "CRPAModel.error";
+    CRPAModelError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CRPAModelError", CRPAModelError);
 }
Index: sansmodels/src/sans/models/c_models/CReflAdvModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CReflAdvModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CReflAdvModel.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -879,5 +879,6 @@
     
     d = PyModule_GetDict(module);
-    CReflAdvModelError = PyErr_NewException("CReflAdvModel.error", NULL, NULL);
+    static char error_name[] = "CReflAdvModel.error";
+    CReflAdvModelError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CReflAdvModelError", CReflAdvModelError);
 }
Index: sansmodels/src/sans/models/c_models/CReflModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CReflModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CReflModel.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -759,5 +759,6 @@
     
     d = PyModule_GetDict(module);
-    CReflModelError = PyErr_NewException("CReflModel.error", NULL, NULL);
+    static char error_name[] = "CReflModel.error";
+    CReflModelError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CReflModelError", CReflModelError);
 }
Index: sansmodels/src/sans/models/c_models/CSCCrystalModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CSCCrystalModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CSCCrystalModel.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -613,5 +613,6 @@
     
     d = PyModule_GetDict(module);
-    CSCCrystalModelError = PyErr_NewException("CSCCrystalModel.error", NULL, NULL);
+    static char error_name[] = "CSCCrystalModel.error";
+    CSCCrystalModelError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CSCCrystalModelError", CSCCrystalModelError);
 }
Index: sansmodels/src/sans/models/c_models/CSLDCalFunc.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CSLDCalFunc.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CSLDCalFunc.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -554,5 +554,6 @@
     
     d = PyModule_GetDict(module);
-    CSLDCalFuncError = PyErr_NewException("CSLDCalFunc.error", NULL, NULL);
+    static char error_name[] = "CSLDCalFunc.error";
+    CSLDCalFuncError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CSLDCalFuncError", CSLDCalFuncError);
 }
Index: sansmodels/src/sans/models/c_models/CSchulz.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CSchulz.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CSchulz.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -526,5 +526,6 @@
     
     d = PyModule_GetDict(module);
-    CSchulzError = PyErr_NewException("CSchulz.error", NULL, NULL);
+    static char error_name[] = "CSchulz.error";
+    CSchulzError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CSchulzError", CSchulzError);
 }
Index: sansmodels/src/sans/models/c_models/CSphereModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CSphereModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CSphereModel.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -549,5 +549,6 @@
     
     d = PyModule_GetDict(module);
-    CSphereModelError = PyErr_NewException("CSphereModel.error", NULL, NULL);
+    static char error_name[] = "CSphereModel.error";
+    CSphereModelError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CSphereModelError", CSphereModelError);
 }
Index: sansmodels/src/sans/models/c_models/CSphereSLDModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CSphereSLDModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CSphereSLDModel.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -837,5 +837,6 @@
     
     d = PyModule_GetDict(module);
-    CSphereSLDModelError = PyErr_NewException("CSphereSLDModel.error", NULL, NULL);
+    static char error_name[] = "CSphereSLDModel.error";
+    CSphereSLDModelError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CSphereSLDModelError", CSphereSLDModelError);
 }
Index: sansmodels/src/sans/models/c_models/CSquareWellStructure.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CSquareWellStructure.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CSquareWellStructure.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -544,5 +544,6 @@
     
     d = PyModule_GetDict(module);
-    CSquareWellStructureError = PyErr_NewException("CSquareWellStructure.error", NULL, NULL);
+    static char error_name[] = "CSquareWellStructure.error";
+    CSquareWellStructureError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CSquareWellStructureError", CSquareWellStructureError);
 }
Index: sansmodels/src/sans/models/c_models/CStackedDisksModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CStackedDisksModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CStackedDisksModel.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -636,5 +636,6 @@
     
     d = PyModule_GetDict(module);
-    CStackedDisksModelError = PyErr_NewException("CStackedDisksModel.error", NULL, NULL);
+    static char error_name[] = "CStackedDisksModel.error";
+    CStackedDisksModelError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CStackedDisksModelError", CStackedDisksModelError);
 }
Index: sansmodels/src/sans/models/c_models/CStickyHSStructure.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CStickyHSStructure.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CStickyHSStructure.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -544,5 +544,6 @@
     
     d = PyModule_GetDict(module);
-    CStickyHSStructureError = PyErr_NewException("CStickyHSStructure.error", NULL, NULL);
+    static char error_name[] = "CStickyHSStructure.error";
+    CStickyHSStructureError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CStickyHSStructureError", CStickyHSStructureError);
 }
Index: sansmodels/src/sans/models/c_models/CTriaxialEllipsoidModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CTriaxialEllipsoidModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CTriaxialEllipsoidModel.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -639,5 +639,6 @@
     
     d = PyModule_GetDict(module);
-    CTriaxialEllipsoidModelError = PyErr_NewException("CTriaxialEllipsoidModel.error", NULL, NULL);
+    static char error_name[] = "CTriaxialEllipsoidModel.error";
+    CTriaxialEllipsoidModelError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CTriaxialEllipsoidModelError", CTriaxialEllipsoidModelError);
 }
Index: sansmodels/src/sans/models/c_models/CVesicleModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CVesicleModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/CVesicleModel.cpp	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -567,5 +567,6 @@
     
     d = PyModule_GetDict(module);
-    CVesicleModelError = PyErr_NewException("CVesicleModel.error", NULL, NULL);
+    static char error_name[] = "CVesicleModel.error";
+    CVesicleModelError = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "CVesicleModelError", CVesicleModelError);
 }
Index: sansmodels/src/sans/models/c_models/classTemplate.txt
===================================================================
--- sansmodels/src/sans/models/c_models/classTemplate.txt	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
+++ sansmodels/src/sans/models/c_models/classTemplate.txt	(revision 2605da22e051f79e99c6ee33e4a4abe2b2c68929)
@@ -486,5 +486,6 @@
     
     d = PyModule_GetDict(module);
-    [PYTHONCLASS]Error = PyErr_NewException("[PYTHONCLASS].error", NULL, NULL);
+    static char error_name[] = "[PYTHONCLASS].error";
+    [PYTHONCLASS]Error = PyErr_NewException(error_name, NULL, NULL);
     PyDict_SetItemString(d, "[PYTHONCLASS]Error", [PYTHONCLASS]Error);
 }
